### Method

# Pango FontMetrics get_ascent

#### Declaration [src]

    int
    pango_font_metrics_get_ascent (
      PangoFontMetrics* metrics
    )

#### Description [src]

Gets the ascent from a font metrics structure.

The ascent is the distance from the baseline to the logical top of a line of text. (The logical top may be above or below the top of the actual drawn ink. It is necessary to lay out the text to figure where the ink will be.)

#### Return value

Type: `int`

The ascent, in Pango units.